lib/scripts/ocamlfind
changeset 70108 110fff287217
parent 70106 512ac874bb9d
child 70130 a591de179931
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/lib/scripts/ocamlfind	Wed Mar 20 20:15:30 2019 +0100
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+#
+# Author: Makarius; Florian Haftmann
+#
+# Invoke ocamlfind via "opam".
+
+if [ -e "$ISABELLE_OPAM_ROOT/config" ]
+then
+  isabelle_opam config exec --switch "$ISABELLE_OCAML_VERSION" -- ocamlfind "$@"
+else
+  echo "Cannot execute ocamlfind: missing Isabelle OCaml setup" >&2
+  exit 127
+fi